Title: WP_REST_Menu_Locations_Controller::get_collection_params
Published: February 3, 2022
Last modified: May 20, 2026

---

# WP_REST_Menu_Locations_Controller::get_collection_params(): array

## In this article

 * [Return](https://developer.wordpress.org/reference/classes/wp_rest_menu_locations_controller/get_collection_params/?output_format=md#return)
 * [Source](https://developer.wordpress.org/reference/classes/wp_rest_menu_locations_controller/get_collection_params/?output_format=md#source)
 * [Related](https://developer.wordpress.org/reference/classes/wp_rest_menu_locations_controller/get_collection_params/?output_format=md#related)
 * [Changelog](https://developer.wordpress.org/reference/classes/wp_rest_menu_locations_controller/get_collection_params/?output_format=md#changelog)

[ Back to top](https://developer.wordpress.org/reference/classes/wp_rest_menu_locations_controller/get_collection_params/?output_format=md#wp--skip-link--target)

Retrieves the query params for collections.

## 󠀁[Return](https://developer.wordpress.org/reference/classes/wp_rest_menu_locations_controller/get_collection_params/?output_format=md#return)󠁿

 array Collection parameters.

## 󠀁[Source](https://developer.wordpress.org/reference/classes/wp_rest_menu_locations_controller/get_collection_params/?output_format=md#source)󠁿

    ```php
    public function get_collection_params() {
    	return array(
    		'context' => $this->get_context_param( array( 'default' => 'view' ) ),
    	);
    }
    ```

[View all references](https://developer.wordpress.org/reference/files/wp-includes/rest-api/endpoints/class-wp-rest-menu-locations-controller.php/)
[View on Trac](https://core.trac.wordpress.org/browser/tags/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-menu-locations-controller.php#L309)
[View on GitHub](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-menu-locations-controller.php#L309-L313)

## 󠀁[Related](https://developer.wordpress.org/reference/classes/wp_rest_menu_locations_controller/get_collection_params/?output_format=md#related)󠁿

| Used by | Description | 
| [WP_REST_Menu_Locations_Controller::register_routes()](https://developer.wordpress.org/reference/classes/wp_rest_menu_locations_controller/register_routes/)`wp-includes/rest-api/endpoints/class-wp-rest-menu-locations-controller.php` |

Registers the routes for the objects of the controller.

  |

## 󠀁[Changelog](https://developer.wordpress.org/reference/classes/wp_rest_menu_locations_controller/get_collection_params/?output_format=md#changelog)󠁿

| Version | Description | 
| [5.9.0](https://developer.wordpress.org/reference/since/5.9.0/) | Introduced. |

## User Contributed Notes

You must [log in](https://login.wordpress.org/?redirect_to=https%3A%2F%2Fdeveloper.wordpress.org%2Freference%2Fclasses%2Fwp_rest_menu_locations_controller%2Fget_collection_params%2F)
before being able to contribute a note or feedback.